# Chapter Five: Knowing Transaction Tricks

This chapter describes how to use a few tricks that supplement or improve the use of raw transaction from the command line using bitcoin-cli.

## Objectives for This Section

After working through this chapter, a developer will be able to:

   * Decide Whether RBF or CPFP Might Help a Transaction
   * Use These Tricks to Free Up a Stuck Transaction
   * Create Data as Part of a Transaction

Supporting objectives include the ability to:

   * Understand the Mempool
   * Experience How Miners Interact with Fees
   * Plan for the Power of OP_RETURN
   
## Table of Contents
   
   * [Part One: Watching for Stuck Transactions](5_1_Watching_for_Stuck_Transactions.md)
   * [Part Two: Resending a Transaction with RBF](5_2_Resending_a_Transaction_with_RBF.md)
   * [Part Three: Funding a Transaction with CPFP](5_3_Funding_a_Transaction_with_CPFP.md)
   * [Part Four: Sending a Raw Transaction with Data](5_4_Sending_a_Raw_Transaction_with_Data.md)
